# Class CramVersions

java.lang.Object
htsjdk.samtools.cram.common.CramVersions

public final class CramVersions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CRAMVersion`
`CRAM_v2_1`
`static final CRAMVersion`
`CRAM_v3`
`static final CRAMVersion`
`CRAM_v3_1`
`static final CRAMVersion`
`DEFAULT_CRAM_VERSION`
The default CRAM version when creating a new CRAM output file or stream.

## Constructor Summary

Constructors
Constructor
Description
`CramVersions()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isSupportedVersion(CRAMVersion candidateVersion)`
Return true if `candidateVersion` is a supported CRAM version.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CRAM_v2_1

public static final CRAMVersion CRAM_v2_1

### CRAM_v3

public static final CRAMVersion CRAM_v3

### CRAM_v3_1

public static final CRAMVersion CRAM_v3_1

### DEFAULT_CRAM_VERSION

public static final CRAMVersion DEFAULT_CRAM_VERSION
The default CRAM version when creating a new CRAM output file or stream.

## Constructor Details

### CramVersions

public CramVersions()

## Method Details

### isSupportedVersion

public static boolean isSupportedVersion(CRAMVersion candidateVersion)
Return true if `candidateVersion` is a supported CRAM version.

Parameters:
  `candidateVersion` - version to test
Returns:
  true if `candidateVersion` is a supported CRAM version othrwise false